from math import exp,log

import matplotlib.pyplot as plt
import numpy as np

x = np.linspace(-2, 5, 100)
plt.axis([-2, 5, -5, 5])
for k in range(11):
		plt.plot(x, k*np.exp(-x) + x - 1)
		plt.plot(x, -k*np.exp(-x) + x - 1)
plt.title("Courbes $C_{k}$ et $C_{-k}$")
plt.show()

def solution(k,x):
		y=k*exp(-x)+x-1
		return y

y_0=solution(1,0)
print("y_0=",y_0)

abscisse=[log(k) for k in range(1,101)]
ordonnee=[solution(k,log(k)) for k in range(1,101)]

#on affiche les coordonnees des points A_k
for i in range (0,100):
		print(abscisse[i], ordonnee[i])

#on trace les points de coordonnees determinees ci-dessus
plt.plot(abscisse, ordonnee)
plt.title("Ensemble des points $A_k$")
plt.axis([0, log(100), 0, log(100)])

#on trace
plt.show()
