from math import exp
import matplotlib.pyplot as plt

def approximation(x,y,h):
	return(y+h*exp(-x**2))

def Euler(x0, y0, h):
	yn = [1]
	xn = [0]
	while x0 <= 2 :
		y0 = approximation(x0, y0, h)
		x0 = x0 + h
		yn.append(y0)
		xn.append(x0)
	return xn, yn

fig = plt.figure()
ax = plt.axes()
xn, yn = Euler(0, 1, 0.1)
ax.plot(xn, yn)
plt.show()